<template>
  <div class="menuBox">
    <div class="menu">
      <div
        class="menuItem"
        @click="setMenuClick(item)"
        v-for="(item, index) in menuOption"
        :key="index"
      >
        <div
          class="meuContent"
          :class="menuFlag == item.id ? 'meuContent_active' : ''"
        >
          <img
            class="itemImg"
            :src="require(`../../assets/img/leftMenu/${item.image}`)"
          />
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import configData from "../../assets/js/data/configData.js";

export default {
  data() {
    return {
      menuOption: [],
      menuFlag: null
    };
  },
  methods: {
    setMenuClick(res) {
      this.menuFlag = res.id;
    },
    setMenuStart() {
      this.menuOption = configData.leftMenu;
      this.menuFlag = this.menuOption[0].id;
    }
  },
  mounted() {
    this.setMenuStart();
  }
};
</script>

<style scoped>
.menuBox {
  width: 100%;
  height: calc(100% - 39px);
  padding-top: 39px;
  background: black;
}
.menuBox .menu {
  color: white;
}
.menuItem {
  width: 100%;
  display: flex;
  justify-content: center;
  margin-top: 29px;
}
.meuContent {
  padding: 5px;
  box-sizing: border-box;
   
  border: 1px solid rgba(0, 0, 0, 0);
}
.meuContent:hover {
  border-radius: 10px;
  border: 1px solid #797979;
  background-color: #797979;
  box-sizing: border-box;
}
.meuContent_active {
  border-radius: 10px;
  border: 1px solid #797979;
  background-color: #797979;
  box-sizing: border-box;
}
.itemImg {
  width: 16px;
  height: 16px;
}
</style>
